# List All Video Entities

## /v1/video\_entities

<mark style="color:blue;">`GET`</mark> `https://api.uiza.sh/v1/video_entities`

#### Query Parameters

| Name             | Type   | Description                                                                                                                                      |
| ---------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| live\_entity\_id | string | The unique identifier of your live entity to be filtered. The API response will return all video entities (aka DVR) belongs to this live entity. |
| page\_size       | number | The maximum number of objects to be returned, between 1 and 100.                                                                                 |
| page\_token      | string | The pagination cursor of the result page to be retrieved.                                                                                        |

{% tabs %}
{% tab title="200 " %}

```
{
 "data": [
  {
   "id": "f42b4ac3-869e-4010-8e21-042e40be7655",
   "name": "Sample Demo-Video",
   "description": "Lorem ipsum dolor sit amet, vis odio oratio scripserit ut",
   "short_description": "Duo ad graeci principes, legimus mnesarchum scribentur ut pro",
   "view": 1000,
   "poster": "Lorem ipsum dolor",
   "thumbnail": "Lorem ipsum dolor",
   "input_type": "VOD",
   "duration": 11213,
   "publish_to_cdn": "queue",
   "created_at": "2019-12-11T02:47:04Z",
   "updated_at": "2019-12-11T02:47:04Z"
  }
 ],
 "next_page_token": "eyJjcmVhdGVkX2F0IjoxNTc2MDA4NjkxMDAwLCJpZCI6IjAwNzVmZjcyLWE0ODYtNDg0Ni05Y2NjLWY1ZWU4YTA0MmQ0NSJ9",
 "prev_page_token": "2MDA4NjkxMDAwLCJpZCI6IjAwNzVmZjeyJjcmVhdGVkX2F0IjoxNTc1ZWU4YTA0MmQ0NSJ9cyLWE0ODYtNDg0Ni05Y2NjLWY"
}
```

{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl -X GET https://api.uiza.sh/v1/video_entities 
     -H 'Authorization: uap-c1ffbff4db954ddcb050c6af0b43ba56-41193b64' 
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/2020-04-21-1/api-reference/video-entities/list-all-video-entities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
